using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PR
{
    [Description("关联班组")]
    public class T_PR_POST_FORM_LINK_DEPARTMENT : MesEntityBase
    {
        [Description("岗位表单关联表")]
        [DataFieldForeignKey("Nav_PostForm", "Nav_Departments")]
        public Guid POST_POST_ID { get; set; }

        [Description("岗位表单关联表")]
        public virtual T_PR_POST_FORM_LINK Nav_PostForm { get; set; }

        [Description("部门表")]
        [DataFieldForeignKey("Nav_Department")]
        public Guid? DEPARTMENT_ID { get; set; }

        [Description("部门表")]
        public virtual T_FM_DEPARTMENT Nav_Department { get; set; }
    }
}
